set tw=78 
set formatoptions+=tqmM
set encoding=euc-cn
"syntax sync minlines=100
"set lines=25
"set columns=80

if !exists('g:Tex_Folding')
  " without latexSuite, define '<<<,>>>' as foldmarker
  set foldmethod=marker
  set foldmarker=<<<,>>>
  syn match foldMarker	"%<<<"
  syn match foldMarker	"%>>>"
  highlight foldMarker guifg=darkred guibg=green
else
  " Add more folding items (TODO: how to insert these to latexSuite's
  " folding.vim ?
  "call AddSyntaxFoldItem('^\s*\\documentclass', '^\s*\\begin{document}', 0, -1)
  "call AddSyntaxFoldItem('^\s*\\begin{abstract}', '^\s*\\end{abstract}', 0, 0)
  "call AddSyntaxFoldItem('^\s*\\title{', '^\s*\\maketitle', 0, 0)
  "call MakeSyntaxFolds(1)
endif

if exists('g:Tex_MenuPrefix')
  let s:mainmenuname = g:Tex_MenuPrefix.'S&uite.'
  let s:mapleader = exists('mapleader') ? mapleader : "\\"

  " remove LaTeX-Suite menu items for compiling/viewing
  exec 'aunmenu '.s:mainmenuname.'Compile'
  exec 'aunmenu '.s:mainmenuname.'CompilePart'
  exec 'aunmenu '.s:mainmenuname.'View'
  exec 'aunmenu '.s:mainmenuname.'ViewPart'
  exec 'aunmenu '.s:mainmenuname.'Search'
  exec 'aunmenu '.s:mainmenuname.'Target\ Format'
  exec 'aunmenu '.s:mainmenuname.'Compiler\ Target'
  exec 'aunmenu '.s:mainmenuname.'Viewer\ Target'
  exec 'aunmenu '.s:mainmenuname.'Set\ Ignore\ Level'
  exec 'aunmenu '.s:mainmenuname.'Complete\ Ref/Cite'
  exec 'aunmenu '.s:mainmenuname.'Project.Project'
  exec 'aunmenu '.s:mainmenuname.'Project.ProjectEdit'
  exec 'aunmenu '.s:mainmenuname.'Project.ProjectWrite'

  exec 'anoremenu 80.30 '.s:mainmenuname.'&Compile<tab>'.s:mapleader.'ll'.
	\'   :call CTeX_CTeX()<CR>'
  exec 'anoremenu 80.40 '.s:mainmenuname.'&View<tab>'.s:mapleader.'lv'.
	\'   :silent! call CTeX_ViewDVI()<CR>'
  exec 'anoremenu 80.50 '.s:mainmenuname.'&Search<tab>'.s:mapleader.'ls'.
	\'   :silent! call CTeX_ForwardSearch()<CR>'
  exec 'anoremenu 80.60 '.s:mainmenuname.'&Quick\ Build<tab>'.s:mapleader.'lb'.
	\'   :call CTeX_QuickBuild()<CR>'
endif

nnoremap <buffer> <Leader>ll :call CTeX_CTeX()<CR>
nnoremap <buffer> <Leader>lv :silent! call CTeX_ViewDVI()<CR>
nnoremap <buffer> <Leader>ls :silent! call CTeX_ForwardSearch()<CR>
nnoremap <buffer> <Leader>lb :call CTeX_QuickBuild()<CR>
